diff -Nru sogo-5.0.1/UI/WebServerResources/js/Scheduler/Component.service.js sogo-5.2.0/UI/WebServerResources/js/Scheduler/Component.service.js
--- sogo-5.0.1/UI/WebServerResources/js/Scheduler/Component.service.js	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/UI/WebServerResources/js/Scheduler/Component.service.js	2021-08-18 21:35:57.000000000 +0200
@@ -483,7 +483,7 @@
 
     return new Date(parseInt(date[0]), parseInt(date[1]) - 1, parseInt(date[2]),
                     parseInt(time[0]), parseInt(time[1]), 0, 0);
-    };
+  };
 
   /**
    * @function init
@@ -941,7 +941,8 @@
     data = {
       reply: this.reply,
       delegatedTo: this.delegatedTo,
-      alarm: this.$hasAlarm? this.alarm : {}
+      alarm: this.$hasAlarm? this.alarm : {},
+      classification: this.classification
     };
 
     return Component.$$resource.save(path, data, { action: 'rsvpAppointment' })
diff -Nru sogo-5.0.1/UI/WebServerResources/js/Scheduler/sgCalendarDayBlock.directive.js sogo-5.2.0/UI/WebServerResources/js/Scheduler/sgCalendarDayBlock.directive.js
--- sogo-5.0.1/UI/WebServerResources/js/Scheduler/sgCalendarDayBlock.directive.js	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/UI/WebServerResources/js/Scheduler/sgCalendarDayBlock.directive.js	2021-08-18 21:35:57.000000000 +0200
@@ -44,14 +44,14 @@
         //   Categories color stripes
         '    <div class="sg-category" ng-repeat="category in '+p+'block.component.categories"',
         '         ng-class="'+p+'(\'bg-category\' + category)"',
-        '         ng-style="'+p+'{ right: ($index * 3) + \'px\' }"></div>',
+        '         ng-style="'+p+'{ right: ($index * 10) + \'%\' }"></div>',
         '    <div class="text">',
         //     Priority
         '      <span ng-show="'+p+'block.component.c_priority" class="sg-priority">{{'+p+'block.component.c_priority}}</span>',
         //     Summary
         '      {{ '+p+'block.component.summary }}',
         //     Icons
-        '      <span class="icons">',
+        '      <span class="sg-icons">',
         //       Component is reccurent
         '        <md-icon ng-if="'+p+'block.component.occurrenceId">repeat</md-icon>',
         //       Component has an alarm
diff -Nru sogo-5.0.1/UI/WebServerResources/js/Scheduler/sgCalendarListEvent.directive.js sogo-5.2.0/UI/WebServerResources/js/Scheduler/sgCalendarListEvent.directive.js
--- sogo-5.0.1/UI/WebServerResources/js/Scheduler/sgCalendarListEvent.directive.js	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/UI/WebServerResources/js/Scheduler/sgCalendarListEvent.directive.js	2021-08-18 21:35:57.000000000 +0200
@@ -36,15 +36,17 @@
       return [
         '<div class="sg-event"',
         '     ng-click="clickComponent({clickEvent: $event, clickComponent: component})">',
-        //   Categories color stripes
-        '    <div class="sg-category" ng-repeat="category in ::component.categories"',
-        '         ng-class="::(\'bg-category\' + category)"',
-        '         ng-style="::{ right: ($index * 3) + \'px\' }"></div>',
+        '    <div class="text">',
         //     Priority
         '      <span ng-show="::component.c_priority" class="sg-priority" ng-bind="::component.c_priority"></span>',
+        //   Categories color dots
+        '      <div class="sg-category-dot-container">',
+        '        <div class="sg-category-dot" ng-repeat="category in ::component.categories"',
+        '             ng-class="::(\'bg-category\' + category)"></div>',
+        '      </div>',
         //     Summary
         '      {{ ::component.c_title }}',
-        '      <span class="icons">',
+        '      <span class="sg-icons">',
         //       Component is reccurent
         '        <md-icon ng-if="::component.occurrenceId">repeat</md-icon>',
         //       Component has an alarm
@@ -62,6 +64,7 @@
         '      <div class="secondary" ng-if="::component.c_location">',
         '        <md-icon>place</md-icon> <span ng-bind="::component.c_location"></span>',
         '      </div>',
+        '    </div>',
         '</div>'
       ].join('');
     }
diff -Nru sogo-5.0.1/UI/WebServerResources/js/Scheduler/sgCalendarMonthEvent.directive.js sogo-5.2.0/UI/WebServerResources/js/Scheduler/sgCalendarMonthEvent.directive.js
--- sogo-5.0.1/UI/WebServerResources/js/Scheduler/sgCalendarMonthEvent.directive.js	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/UI/WebServerResources/js/Scheduler/sgCalendarMonthEvent.directive.js	2021-08-18 21:35:57.000000000 +0200
@@ -32,28 +32,31 @@
 
       return [
         '<div class="sg-event"',
-        //    Add a class while dragging
-        '     ng-class="{\'sg-event--dragging\': block.dragging}"',
-        '     ng-click="clickBlock({clickEvent: $event, clickComponent: block.component})">',
-        //   Categories color stripes
+        //  Add a class while dragging
+        '   ng-class="{\'sg-event--dragging\': block.dragging}"',
+        '   ng-click="clickBlock({clickEvent: $event, clickComponent: block.component})">',
+        // Categories color stripes
         '  <div class="sg-category" ng-repeat="category in '+p+'block.component.categories"',
-        '       ng-class="'+p+'(\'bg-category\' + category)"',
-        '       ng-style="'+p+'{ right: ($index * 3) + \'px\' }"></div>',
-        '  <span class="secondary" ng-if="'+p+'(!block.component.c_isallday && block.isFirst)">{{ '+p+'block.component.startHour }}</span>',
-        //     Priority
-        '  <span ng-show="'+p+'block.component.c_priority" class="sg-priority">{{'+p+'block.component.c_priority}}</span>',
-        // Summary
-        '  {{ '+p+'block.component.summary }}',
-        '  <span class="icons">',
-        //   Component is reccurent
-        '    <md-icon ng-if="'+p+'block.component.occurrenceId">repeat</md-icon>',
-        //   Component has an alarm
-        '    <md-icon ng-if="'+p+'block.component.c_nextalarm">alarm</md-icon>',
-        //   Component is confidential
-        '    <md-icon ng-if="'+p+'block.component.c_classification == 2">visibility_off</md-icon>',
-        //   Component is private
-        '    <md-icon ng-if="'+p+'block.component.c_classification == 1">vpn_key</md-icon>',
-        '  </span>',
+        '     ng-class="'+p+'(\'bg-category\' + category)"',
+        '     ng-style="'+p+'{ right: ($index * 10) + \'%\' }"></div>',
+        '  <div class="text">',
+        //   Start hour
+        '    <span class="secondary" ng-if="'+p+'(!block.component.c_isallday && block.isFirst)">{{ '+p+'block.component.startHour }}</span>',
+        //   Priority
+        '    <span ng-show="'+p+'block.component.c_priority" class="sg-priority">{{'+p+'block.component.c_priority}}</span>',
+        //   Summary
+        '    {{ '+p+'block.component.summary }}',
+        '    <span class="sg-icons">',
+        //     Component is reccurent
+        '      <md-icon ng-if="'+p+'block.component.occurrenceId">repeat</md-icon>',
+        //     Component has an alarm
+        '      <md-icon ng-if="'+p+'block.component.c_nextalarm">alarm</md-icon>',
+        //     Component is confidential
+        '      <md-icon ng-if="'+p+'block.component.c_classification == 2">visibility_off</md-icon>',
+        //     Component is private
+        '      <md-icon ng-if="'+p+'block.component.c_classification == 1">vpn_key</md-icon>',
+        '    </span>',
+        '  </div>',
         '</div>'
       ].join('');
     }
diff -Nru sogo-5.0.1/Version sogo-5.2.0/Version
--- sogo-5.0.1/Version	2020-10-07 17:11:27.000000000 +0200
+++ sogo-5.2.0/Version	2021-08-18 21:35:57.000000000 +0200
@@ -1,3 +1,3 @@
 MAJOR_VERSION=5
-MINOR_VERSION=0
-SUBMINOR_VERSION=1
\ No newline at end of file
+MINOR_VERSION=2
+SUBMINOR_VERSION=0
\ No newline at end of file
diff -Nru sogo-5.0.1/.versionrc.js sogo-5.2.0/.versionrc.js
--- sogo-5.0.1/.versionrc.js	1970-01-01 01:00:00.000000000 +0100
+++ sogo-5.2.0/.versionrc.js	2021-08-18 21:35:57.000000000 +0200
@@ -0,0 +1,27 @@
+const tracker = {
+  filename: "Version",
+  updater: require("./Scripts/standard-version-updater.js")
+}
+
+module.exports = {
+  tagPrefix: "SOGo-",
+  issueUrlFormat: "https://sogo.nu/bugs/view.php?id={{id}}",
+  compareUrlFormat: "{{host}}/{{owner}}/{{repository}}/compare/{{previousTag}}...{{currentTag}}",
+  types: [
+    {type: "feat",     section: "Features"},
+    {type: "refactor", section: "Enhancements"},
+    {type: "perf",     section: "Enhancements"},
+    {type: "i18n",     section: "Localization"},
+    {type: "fix",      section: "Bug Fixes"},
+    {type: "chore",    hidden:  true},
+    {type: "docs",     hidden:  true},
+    {type: "style",    hidden:  true},
+    {type: "test",     hidden:  true}
+  ],
+  skip: {
+    commit: true,
+    tag: true
+  },
+  packageFiles: [tracker],
+  bumpFiles: [tracker]
+}
